from Products.CMFCore import permissions
from Products.CMFCore.permissions import setDefaultRoles

# CopyrightedFile Permissions

# Add a CopyrightedFile
ADD_CONTENTS_PERMISSION = 'CopyrightedFile: Add CopyrightedFile'

# Edit/Delete a CopyrightedFile
EDIT_CONTENTS_PERMISSION = 'CopyrightedFile: Edit CopyrightedFile'

# View a CopyrightedFile
VIEW_CONTENTS_PERMISSION = 'CopyrightedFile: View CopyrightedFile'

# View a CopyrightedFile
VIEW_MEMBERS_PERMISSION = 'CopyrightedFile: View Members CopyrightedFile'


# Setup default permission roles

setDefaultRoles(ADD_CONTENTS_PERMISSION,
                ('Manager', 'Owner'))

setDefaultRoles(EDIT_CONTENTS_PERMISSION,
                ('Manager', 'Owner'))

setDefaultRoles(VIEW_CONTENTS_PERMISSION,
                ('Anonymous', 'Authenticated', 'Member'))
                
setDefaultRoles(VIEW_MEMBERS_PERMISSION,
                ('Authenticated', 'Member'))