from Globals import package_home
from Products.CMFCore import utils, CMFCorePermissions, DirectoryView
from Products.CMFPlone.PloneUtilities import ToolInit
from Products.Archetypes.public import *
from Products.Archetypes import listTypes
from Products.Archetypes.utils import capitalize

import os, os.path, sys, content

# Get configuration data, permissions
from Products.CopyrightedFile.config import *

from config import SKINS_DIR, GLOBALS, PROJECTNAME
from config import ADD_CONTENTS_PERMISSION

DirectoryView.registerDirectory(SKINS_DIR, GLOBALS)

# Import the type, which results in registerType() being called

def initialize(context):

    import Products.CopyrightedFile.content

    # initialize the content, including types and add permissions
    content_types, constructors, ftis = process_types(
        listTypes(PROJECTNAME),
        PROJECTNAME)

    utils.ContentInit(
        PROJECTNAME + ' Content',
        content_types      = content_types,
        permission         = ADD_CONTENTS_PERMISSION,
        extra_constructors = constructors,
        fti                = ftis,
        ).initialize(context)

