file = context.buildSpreadsheetUrl()
setHeader = context.REQUEST.RESPONSE.setHeader
setHeader('Content-Type','application/vnd.ms-excel')
setHeader('Content-disposition','attachment; filename=%s' % file)
lines = []
header = '"user",'
for question in context.getCopyrights():
    header += '"' + question.Title() + '",'
header += '"completed"'
print header

for user in context.getRespondents():
    line = []
    line.append('"' + test(user, user, "Anonymous") + '"')
    for question in context.getCopyrights():
        answer = question.getAnswerFor(user)
        if not isinstance(answer, str):
            answers = ''
            for value in answer:
                if answers != '':
                    answers = answers + ', ' + value
                else:
                    answers = value
            answer = answers
        try:
            answer = answer.replace('"',"'")
        except:
            answer = "Blank"
        line.append('"' + str(answer) + '"')
    line.append('"' + test(context.checkCompletedFor(user), "Completed", "Not Completed") + '"')
    line = ','.join(line)
    lines.append(line)

for l in lines:
    print l
return printed